org.eclipse.emf.facet.custom.sdk.core

## Interface ICustomizationActions

    public interface ICustomizationActions

This interface provides the creation of a new customization model file.

See Also:
  `CustomizationActionsImpl`
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICustomizationActions` `INSTANCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `saveCustomization(Customization customization, IFile file)` Add the given customization to the given customization model file, which will be created.

### Field Detail

#### INSTANCE

    static final ICustomizationActions INSTANCE

### Method Detail

#### saveCustomization

    void saveCustomization(Customization customization,
                           IFile file)
                    throws java.io.IOException,
                           InvalidFacetSetException

Add the given customization to the given customization model file, which will be created.

Parameters:
  `customization` - the customization to be created. Cannot be `null`
  `file` - the new file in which the customization has to be created. Cannot be `null`, and cannot already exist
Throws:
  `java.io.IOException`
  `InvalidFacetSetException`